@font-face {
	font-family: "DejaVu Sans";
	src: url(./DejaVuSans.ttf);
}
@font-face {
	font-family: "DejaVu Sans Light";
	src: url(./DejaVuSans-ExtraLight.ttf);
}
/*@font-face {
	font-family: Clear Sans;
	src: url(./ClearSans-Regular.ttf);
}*/
@font-face {
	  font-family: Telex;
	  src: url(./Telex-Regular.ttf);
}
@font-face {
	  font-family: Supertux;
	  src: url(./supertux.ttf);
}
@font-face {
	  font-family: "Twemoji Mozilla";
	  src: url(./TwemojiMozilla.ttf);
}
/* Set a different icon for emoji */
.emoticon{
	font-family: "Twemoji Mozilla";
}
.container{
	border: 1px solid #dee2e6;
	margin: auto;
	max-width: 1080px;
	box-shadow: 0 0.5rem 1rem rgba(0, 0, 0, 0.15);
	padding: 3rem;
	background-color: white;
	word-wrap: break-word;
}



/* Create a toggle button */
/* Toggle Button */
.toggle_button {
	-webkit-appearance: none;
	-webkit-tap-highlight-color: transparent;
	position: relative;
	border: 0;
	outline: 0;
	cursor: pointer;
    margin-top: 0.5em;
}
/* To create surface of toggle button */
.toggle_button:after {
	content: '';
	width: 2em;
	height: 1em;
	display: inline-block;
	background: rgba(196, 195, 195, 0.55);
	border-radius: 1em;
	clear: both;
}


/* Contents before checkbox to create toggle handle */
.toggle_button:before {
	content: '';
	width: 1.25em;
	height: 1.25em;
	display: block;
	position: absolute;
	left: 0;
	top: -0.15em;
	border-radius: 50%;
	background: rgb(255, 255, 255);
	box-shadow: 1px 1px 3px rgba(0, 0, 0, 0.6);
}
.toggle_button:disabled:before {
	background: rgb(128, 128, 128);
}

/* Shift the handle to left on check event */
.toggle_button:checked:before {
	left: 1em;
	box-shadow: -1px 1px 3px rgba(0, 0, 0, 0.6);
}
/* Background color when toggle button will be active */
.toggle_button:checked:after {
	/*background: #16a085;*/
	background: #e36969;
}
.toggle_button, .toggle_button:before, .toggle_button:after, .toggle_button:checked:before, .toggle_button:checked:after {
	transition: ease .3s;
	-webkit-transition: ease .3s;
	-moz-transition: ease .3s;
	-o-transition: ease .3s;
}

/* My own modal - use it by calling toggleModal("#element_id") and include main.js */
.modal{
	width: 100%;
	height: 100%;
	position: absolute;
	top: 0;
	left: 0;
	overflow-y: auto;
	background-color: rgba(0,0,0, 0.4);
	z-index: 7;
}
/* modal-close: allow backdrop to dismiss modal*/
.modal-close{
	width: 100%;
	height: 100%;
	position: absolute;
	top: 0;
	left: 0;
	overflow-y: auto;
	background-color: transparent;
	z-index: 6;
}

.modal-box{
	position: relative;
	z-index: 8;
	background-color: whitesmoke;
	margin: auto;
	margin-top: 10vh;
	max-width: 50em;
	max-height: 45em;
	overflow-y: auto;
	border-radius: 1em;
	padding: 1em;
	border: 1px solid #dee2e6;
	box-shadow: 1px 1px 3px rgba(0, 0, 0, 0.6);
	animation-name: animatetop;
	animation-duration: 0.4s;
	transition: all 0.3s linear;
}
@keyframes animatetop {
	0% {top: -300px; opacity: 0}
	100% {top: 0; opacity: 1}
}

.modal.fadeout{
	animation-name: animatetop;
	animation-direction: reverse;
	animation-duration: 0.4s;
}
